Subject: [COSE] FW: New Version Notification for draft-ietf-cose-rfc8152bis-algs-10.txt

From: Jim Schaad <[email-masked]>
Date: Fri, 26 Jun 2020 14:39:27 -0700

I have just uploaded a new version of the -algs document that I believe addresses all of the comments that were raised during the IESG review process.

There are two things of note that people should be aware of because these changes are fairly significant.

1.  The section on capabilities has been practically re-written from scratch.  There are no changes in how things are done but the description is quite different.

2.  Based on the comments of Martin Thomson, et al. in for the QUIC draft the security considerations for all three block encryption algorithms have been updated as well as an additional paragraph added to the end of the security considerations.

(Oh I just remembered one minor change that I agreed to do so a -11 will be coming.)

Jim

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Friday, June 26, 2020 2:34 PM
To: Jim Schaad <[email-masked]>
Subject: New Version Notification for draft-ietf-cose-rfc8152bis-algs-10.txt

A new version of I-D, draft-ietf-cose-rfc8152bis-algs-10.txt
has been successfully submitted by Jim Schaad and posted to the IETF repository.

Name:		draft-ietf-cose-rfc8152bis-algs
Revision:	10
Title:		CBOR Object Signing and Encryption (COSE): Initial Algorithms
Document date:	2020-06-26
Group:		cose
Pages:		55
URL:            https://www.ietf.org/internet-drafts/draft-ietf-cose-rfc8152bis-algs-10.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-cose-rfc8152bis-algs/
Htmlized:       https://tools.ietf.org/html/draft-ietf-cose-rfc8152bis-algs-10
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-cose-rfc8152bis-algs
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-cose-rfc8152bis-algs-10

Abstract:
   Concise Binary Object Representation (CBOR) is a data format designed
   for small code size and small message size.  There is a need for the
   ability to have basic security services defined for this data format.
   THis document defines a set of algorithms that can be used with the
   CBOR Object Signing and Encryption (COSE) protocol RFC XXXX.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat